using Microsoft.AspNetCore.HttpOverrides;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
builder.Services.AddRazorPages();

// Build application
var app = builder.Build();

// Configure the HTTP request pipeline.
if (!app.Environment.IsDevelopment()) {
    app.UseExceptionHandler("/Error");
}

// Add middleware
app.UseStaticFiles();
app.UseRouting();
app.UseAuthorization();

// Map routes
app.MapRazorPages();

// Run application
app.Run();
