﻿string s = """
    This is a
    "string literal"
    containing quotes and \n weird chars.
    """;
Console.WriteLine(s);
Console.WriteLine();

s = """
    This text is indented,
    because the closing triple quotes
    are not.
""";
Console.WriteLine(s);
Console.WriteLine();

s = """"
    It can even contain
    """triple quotes"""
    if you'll use enough quotes around it.
    """";
Console.WriteLine(s);
Console.WriteLine();

s = $"String interpolations can now contain newlines, such as this one: {string.Join(string.Empty, DateTime.Now
        .ToString()
        .ToArray()
        .OrderBy(x => x))}";
Console.WriteLine(s);
Console.WriteLine();

var safetyScore = Random.Shared.Next(0, 100);
s = $"The usage policy for {safetyScore} is {safetyScore switch {
    > 90 => "Unlimited usage",
    > 80 => "General usage, with daily safety check",
    > 70 => "Issues must be addressed within 1 week",
    > 50 => "Issues must be addressed within 1 day",
    _ => "Issues must be addressed before continued use",
}}.";
Console.WriteLine(s);
Console.WriteLine();

s = $"""
    Of course you can 
    combine these two:
     {string.Join(string.Empty, DateTime.Now
        .ToString()
        .ToArray()
        .OrderBy(x => x))}
    """;
Console.WriteLine(s);
Console.WriteLine();

Console.WriteLine("There are two ways how to include curly brackets in string interpolation:");
Console.WriteLine($"Today is {DateTime.Today:d} and I feel like :-{{.");
Console.WriteLine($$"""Today is {{DateTime.Today:d}} and I feel like :-{.""");
Console.WriteLine();

var utf8data = "Hello world!"u8;
Console.WriteLine("UTF-8 encoded string:");
Console.WriteLine(string.Join(" ", utf8data.ToArray().Select(x => x.ToString("X2"))));